# CREATE A PROJECTED ORTHOGRAPHIC R-G-B IMAGE AND SMOOTH AND ENHANCE THE OCEAN PIXELS
#====================================================================================
verbose

send_set_verbose

set_workpace_geometry PlaneWidth=1000 PlaneHeight=800  DataType=0 CellWidth=1000 CellHeight=800

send_show_view ViewPlane=0

send_clear_area Plane=0 X=0 Y=0 Width=1000 Height=800

send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No    \
            FileName="../IMAGES/LINEAR_MAYFEB.tif"

set_projection_to_geometry XTo=0 YTo=0 WidthTo=800 HeightTo=800 \
		ProjectionTo="ORTHOGRAPHIC"\
		LatitudeMinTo=-90.0000 LatitudeMaxTo=90.0000 \
		LongitudeMinTo=-180.0000 LongitudeMaxTo=180.0000  


send_projection PixelOverlap=No    PlaneTo=1 PlaneFrom=1 \
                XFrom=0 YFrom=0 WidthFrom=1000 HeightFrom=500 ProjectionFrom="LINEAR" \
                LatitudeMinFrom=-90.0000 LatitudeMaxFrom=90.0000 \
                LongitudeMinFrom=-180.0000 LongitudeMaxFrom=180.0000

send_projection PixelOverlap=No    PlaneTo=2 PlaneFrom=2 \
                XFrom=0 YFrom=0 WidthFrom=1000 HeightFrom=500 ProjectionFrom="LINEAR" \
                LatitudeMinFrom=-90.0000 LatitudeMaxFrom=90.0000 \
                LongitudeMinFrom=-180.0000 LongitudeMaxFrom=180.0000

send_projection PixelOverlap=No    PlaneTo=3 PlaneFrom=3 \
                XFrom=0 YFrom=0 WidthFrom=1000 HeightFrom=500 ProjectionFrom="LINEAR" \
                LatitudeMinFrom=-90.0000 LatitudeMaxFrom=90.0000 \
                LongitudeMinFrom=-180.0000 LongitudeMaxFrom=180.0000


send_create_mask   X=0 Y=0 Width=800 Height=800 \
              Do="AND" AddMode=No    InversMask=Yes   Color="RED" " 0 <red <50  0 <green <50 "

send_convolution   Plane=0 X=0 Y=0 Width=800 Height=800 \
              Name="SMOOTH"  Lines=7 Columns=7 \
              Threshold=8421.000000 Style="MATRIX"  Mask=Yes    ""

send_enhance ViewPlane=1 X=0 Y=0 Width=800 Height=800 Mask=Yes  A=10.0 B=30.0
send_enhance ViewPlane=2 X=0 Y=0 Width=800 Height=800 Mask=Yes  A=10.0 B=30.0
send_enhance ViewPlane=3 X=0 Y=0 Width=800 Height=800 Mask=Yes  A=2.0 B=180.0

send_clear_mask X=0 Y=0 Width=800 Height=800

send_grids LatitudeMin=-90.0000 LatitudeMax=90.0000 LatitudeStep=5.0000 \
                    LongitudeMin=-180.0000 LongitudeMax=180.0000 LongitudeStep=10.0000 \
                    Color="RED"

send_world_map Coastlines=yes Boundaries=No CoastlineColor=GREEN  BoundaryColor=Magenta \
		RiversRank1=yes RiversRank2=yes RiversRank5=yes RiversRank6=yes \
		ColorRank1=BLUE ColorRank2=BLUE ColorRank5=SIENNA ColorRank6=SIENNA
		

send_unset_verbose
