# CREATE A PROJECTED ORTHOGRAPHIC  IMAGE AND ADD LAT/LON LABELS and COLOR SCALE
#====================================================================================
verbose

send_set_verbose

set_workpace_geometry PlaneWidth=1000 PlaneHeight=1000  DataType=0 CellWidth=1000 CellHeight=1000

send_show_view ViewPlane=3

send_color_scale_name RAINBOW0

send_clear_area Plane=0 X=0 Y=0 Width=1000 Height=800

send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No    \
            FileName="../IMAGES/LINEAR_MAYFEB.tif"

set_projection_to_geometry XTo=0 YTo=0 WidthTo=800 HeightTo=800 \
		ProjectionTo="ORTHOGRAPHIC"\
		LatitudeMinTo=-90.0000 LatitudeMaxTo=90.0000 \
		LongitudeMinTo=-180.0000 LongitudeMaxTo=180.0000  

send_projection PixelOverlap=No    PlaneTo=3 PlaneFrom=3 \
                XFrom=0 YFrom=0 WidthFrom=1000 HeightFrom=500 ProjectionFrom="LINEAR" \
                LatitudeMinFrom=-90.0000 LatitudeMaxFrom=90.0000 \

send_grids LatitudeMin=-80.0000 LatitudeMax=80.0000 LatitudeStep=5.0000 \
                    LongitudeMin=-180.0000 LongitudeMax=180.0000 LongitudeStep=10.0000 \
                    Color="RED"

send_world_map Coastlines=yes Boundaries=No CoastlineColor=GREEN  BoundaryColor=Magenta \
		RiversRank1=yes RiversRank2=yes RiversRank5=yes RiversRank6=yes \
		ColorRank1=White ColorRank2=White ColorRank5=SIENNA ColorRank6=SIENNA

send_draw_latitude_labels ForegroundColor="White" BackgroundColor="TRANSPARENT" Border=0 FontName="Courb.ttf" \
                        SizeFactor=1.0 Rotation=0.0 TextFormat="%.0f" \
                        Longitude=10.0 LatitudeMin=-70.0 LatitudeMax=70.0 LatitudeStep=10.0

send_draw_longitude_labels  ForegroundColor="White" BackgroundColor="TRANSPARENT" Border=0 FontName="Courb.ttf" \
                        SizeFactor=1.0 Rotation=0.0 TextFormat="%.0f" \
                        Latitude=10.0 LongitudeMin=-70.0 LongitudeMax=70.0 LongitudeStep=10.0

send_draw_scale ViewPlane= 3 x=48 y=650 Width=300 Height=100
send_draw_scale_label x=48 y=650 Width=300 Height=100 TickColor="White" \
			ForegroundColor="White" BackgroundColor="Transparent" \
			TextFormat="%.1f" FontName="Courb.ttf" SizeFactor=1.0 UpLeftSide=No NoTicks=No \
			Labels=" 10   -1.00  100 -10.0   200  Clouds"

send_draw_scale ViewPlane= 3 x=120 y=1 Width=100 Height=300
send_draw_scale_label x=120 y=1 Width=100 Height=300 TickColor="White" \
			ForegroundColor="White" BackgroundColor="Transparent" \
			TextFormat="%.1f" FontName="Courb.ttf" SizeFactor=1.0 UpLeftSide=yes NoTicks=No \
			Labels=" 10   1.00  100 2.0   200  3.0"

send_create_frame Size=20  red=100 green=100 blue=100  FontName="Bell.ttf" TitleColor="White" SizeFactor=1.0 \
                        TopTitle="LABELS AND FRAME Msphinx TEST" FrameColor="Blue"

send_create_file ViewPlane=3 X=0 Y=0 Width=800 Height=800 FileFormat="JPG" quality=90 \
         FileName="LABELS.jpg"


send_unset_verbose
