# CREATE A SINUSOIDAL IMAGE FROM A LINEAR IMAGE FILE WITH GRIDS AND WORLD MAP
#============================================================================
verbose

send_set_verbose

set_project ProjectName="TESTCOM" DataPlanesOnDisk=No

set_workpace_geometry PlaneWidth=1000 PlaneHeight=500  DataType=0 CellWidth=1000 CellHeight=500

send_show_view ViewPlane=1

send_read_other  Plane=1 X=0 Y=0 Width=0 Height=0 Expand=No    \
            FileName="../IMAGES/LINEAR_MAYFEB256.tif"

set_projection_to_geometry XTo=0 YTo=0 WidthTo=1000 HeightTo=500 ProjectionTo="LINEAR"\
                           LatitudeMinTo=-90.0000 LatitudeMaxTo=90.0000 \
                           LongitudeMinTo=-180.0000 LongitudeMaxTo=180.0000

send_grids LatitudeMin=-90.0000 LatitudeMax=90.0000 LatitudeStep=5.0000 \
                    LongitudeMin=-180.0000 LongitudeMax=180.0000 LongitudeStep=10.0000 \
                    Color="RED" LineWidth=2

#send_world_map Coastlines=yes Rivers=yes Boundaries=yes  SendToMgraph=No\
#		CoastlineColor="green"  rivercolor=blue BoundaryColor="magenta" 

send_world_map LineWidth=1 Coastlines=yes  Boundaries=yes  SendToMgraph=No\
		CoastlineColor="green"   BoundaryColor="magenta" \
 		RiversRank1=yes RiversRank2=no RiversRank3=yes RiversRank4=no RiversRank5=yes RiversRank6=no \
 		ColorRank1= "Blue" ColorRank2= "Yellow" ColorRank3="Red" \
 		ColorRank4= "Magenta" ColorRank5= "Forest" ColorRank6= "White"

send_unset_verbose
