# READ AN IMAGE AND PLOT TRANSECTS WITH CURVEADDMODE OPTION
#===========================================================
verbose

send_set_verbose

set_workpace_geometry PlaneWidth=1000 PlaneHeight=500  DataType=0 CellWidth=1000 CellHeight=500

send_show_view ViewPlane=0

send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No    \
            FileName="../IMAGES/LINEAR_MAYFEB.tif"

send_plot_transect PlaneFrom=1 PlaneTo=3 X1=90 Y1=123 \
                X2=296 Y2=150  DistanceXUnit=No    \
                RunOverAllCells=No     Mask=No    \
                Color="CURRENT" MgraphPlotMode="NEWCURVE"

send_plot_transect PlaneFrom=1 PlaneTo=3 X1=296 Y1=150 \
                X2=569 Y2=74  DistanceXUnit=No    \
                RunOverAllCells=No     Mask=No    \
                Color="CURRENT" MgraphPlotMode="CURVEADDMODE"

send_plot_transect PlaneFrom=1 PlaneTo=3 X1=569 Y1=74 \
                X2=962 Y2=123  DistanceXUnit=No    \
                RunOverAllCells=No     Mask=No    \
                Color="CURRENT" MgraphPlotMode="CURVEADDMODE"

send_Mgraph 
<<
PlotTitle     Title="Transect ADDMODE" Height=1.50
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No]

XTitle        Title="Column number" Height=1.00
XAxis Show=Yes     Scale=Linear    Min=92    Max=813  Delta=-1  Color=Black  Thickness=1
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat="%.0f"  Angle=0.0
YTitle        Title="Pixel" Height=0.00
YAxis Show=Yes     Scale=Linear    Min=0    Max=255    Delta=-1  Color=Black  Thickness=1
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat="%.0f"  Angle=0.0

#   ********  Annotations ********
PlotAxis  Location=BOTTOM Scale=Linear  Min=-180  Max=180.  Delta=30.0  \
        Color=Black  Thickness=1 Title="Longitude"  TitleHeight=1.50\
        LabelStep=-1 Reference=-180  LabelHeight=1.00 CFormat="%.0f" Angle=0.0
PlotAxis  Location=LEFT   Scale=Linear  Min=-90  Max=90.  Delta=30.0  \
        Color=Black  Thickness=1 Title="Latitude"  TitleHeight=1.50\
        LabelStep=-1 Reference=-90  LabelHeight=1.00 CFormat="%.0f" Angle=0.0
#   ********  Annotations: End ********


LineStyle     Curve=1   Style=MicroDash       Color=Red          Thickness=3
MarkStyle     Curve=1   Style=Fcircle         Size=1
LineStyle     Curve=2   Style=MicroDash       Color=Green        Thickness=3
MarkStyle     Curve=2   Style=Fcircle         Size=1
LineStyle     Curve=3   Style=MicroDash       Color=Blue         Thickness=3
MarkStyle     Curve=3   Style=Fcircle         Size=1

DrawCell     XStart=2.00   YStart=2.0      Width=25.00   Height=16.0\
	Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]

SendTo[EPS]File   File="./printMGRAPH2.ps"  Type=Color    [Copies=1]   Orientation=Landscape
#SendToPrinter  Command="/usr/LOA/bin/vidpsINF"  Type=Color   [Copies=1]   Orientation=Portrait
>>

