# CREATE A SINUSOIDAL IMAGE FROM A LINEAR IMAGE FILE WITH GRIDS AND WORLD MAP
#============================================================================
verbose

send_set_verbose

set_project ProjectName="TESTCOM" DataPlanesOnDisk=Yes

set_workpace_geometry PlaneWidth=1000 PlaneHeight=500  DataType=0 CellWidth=1000 CellHeight=500

send_destroy_all_data

send_show_view ViewPlane=1

send_read_other  Plane=1 X=0 Y=0 Width=0 Height=0 Expand=No    \
            FileName="../IMAGES/LINEAR_MAYFEB256.tif"

send_copy_lut  PlaneFrom=1 PlaneTo=3

send_show_view ViewPlane=3

send_clear_area Plane=3 X=0 Y=0 Width=1000 Height=500

set_projection_to_geometry XTo=0 YTo=0 WidthTo=1000 HeightTo=500 ProjectionTo="LINEAR"\
			   LatitudeMinTo=-90.0000 LatitudeMaxTo=90.0000 \
			   LongitudeMinTo=-180.0000 LongitudeMaxTo=180.0000  

send_grids LatitudeMin=-90.0000 LatitudeMax=90.0000 LatitudeStep=5.0000 \
                    LongitudeMin=-180.0000 LongitudeMax=180.0000 LongitudeStep=10.0000 \
                    Color="BLUE"

set_projection_to_geometry XTo=0 YTo=0 WidthTo=1000 HeightTo=500 ProjectionTo="SINUSOIDAL"\
			   LatitudeMinTo=-90.0000 LatitudeMaxTo=90.0000 \
			   LongitudeMinTo=-180.0000 LongitudeMaxTo=180.0000  \
			   CenterLongitudeTO=-120.0000

send_projection PixelOverlap=No    PlaneTo=3 PlaneFrom=1 \
                XFrom=0 YFrom=0 WidthFrom=1000 HeightFrom=500 ProjectionFrom="LINEAR" \
                LatitudeMinFrom=-90.0000 LatitudeMaxFrom=90.0000 \
                LongitudeMinFrom=-180.0000 LongitudeMaxFrom=180.0000 


send_grids LatitudeMin=-90.0000 LatitudeMax=90.0000 LatitudeStep=5.0000 \
                    LongitudeMin=-180.0000 LongitudeMax=180.0000 LongitudeStep=10.0000 \
                    Color="RED" 

send_world_map Coastlines=yes Boundaries=No CoastlineColor=GREEN  BoundaryColor=Magenta

send_unset_verbose
verbose

send_draw_projected_text XTo=-120.0 YTo= -90  \
	Border=0 ForegroundColor="YELLOW" BackgroundColor="TRANSPARENT" \
	 FontName="Georgiab.ttf" SizeFactor=1.0 Rotation=0.0 Frame=No       Text=" -90"
send_draw_projected_text XTo=-120.0 YTo= -80  " -80" 
send_draw_projected_text XTo=-120.0 YTo= -70  " -70" 
send_draw_projected_text XTo=-120.0 YTo= -60  " -60" 
send_draw_projected_text XTo=-120.0 YTo= -50  " -50" 
send_draw_projected_text XTo=-120.0 YTo= -40  " -40" 
send_draw_projected_text XTo=-120.0 YTo= -30  " -30" 
send_draw_projected_text XTo=-120.0 YTo= -20  " -20" 
send_draw_projected_text XTo=-120.0 YTo= -10  " -10" 
send_draw_projected_text XTo=-120.0 YTo=   0  "   0" 
send_draw_projected_text XTo=-120.0 YTo=  10  "  10" 
send_draw_projected_text XTo=-120.0 YTo=  20  "  20" 
send_draw_projected_text XTo=-120.0 YTo=  30  "  30" 
send_draw_projected_text XTo=-120.0 YTo=  40  "  40" 
send_draw_projected_text XTo=-120.0 YTo=  50  "  50" 
send_draw_projected_text XTo=-120.0 YTo=  60  "  60" 
send_draw_projected_text XTo=-120.0 YTo=  70  "  70" 
send_draw_projected_text XTo=-120.0 YTo=  80  "  80" 
send_draw_projected_text XTo=-120.0 YTo=  90  "  90" 
send_draw_projected_text XTo=-160 YTo=0.0  "-160" 
send_draw_projected_text XTo=-140 YTo=0.0  "-140" 
send_draw_projected_text XTo=-100 YTo=0.0  "-100" 
send_draw_projected_text XTo= -80 YTo=0.0  " -80" 
send_draw_projected_text XTo= -60 YTo=0.0  " -60" 
send_draw_projected_text XTo= -40 YTo=0.0  " -40" 
send_draw_projected_text XTo= -20 YTo=0.0  " -20" 
send_draw_projected_text XTo=   0 YTo=0.0  "   0" 
send_draw_projected_text XTo=  20 YTo=0.0  "  20" 
send_draw_projected_text XTo=  40 YTo=0.0  "  40" 
send_draw_projected_text XTo=  60 YTo=0.0  "  60" 
send_draw_projected_text XTo=  80 YTo=0.0  "  80" 
send_draw_projected_text XTo= 100 YTo=0.0  " 100" 
send_draw_projected_text XTo= 120 YTo=0.0  " 120" 
send_draw_projected_text XTo= 140 YTo=0.0  " 140" 
send_draw_projected_text XTo= 160 YTo=0.0  " 160" 
send_draw_projected_text XTo= 180 YTo=0.0  " 180" 

verbose
send_create_file ViewPlane=3 X=0 Y=0 Width=1000 Height=500 FileFormat="GIF" \
	 "PROJECTION_COM.gif"

