# TEST MODIS (IntegerizedSinusoidal) and (POLDER Sinusoidal)
#==================================================================
verbose

send_set_verbose

set_project ProjectName="TESTPRO" DataPlanesOnDisk=Yes

set_workpace_geometry PlaneWidth=9600 PlaneHeight=9600  DataType=0 CellWidth=2400 CellHeight=2400

send_destroy_all_data

send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No    \
            FileName="../IMAGES/NewZea.jpg

send_show_view ViewPlane=0


#1111========================================================================================================
# TEST MODIS (IntegerizedSinusoidal) TO MODIS (IntegerizedSinusoidal) SMALL AREA (The same in the test)
#============================================================================================================

set_projection_to_geometry XTo=2400 YTo=0 WidthTo=2400 HeightTo=2400 ProjectionTo="MODIS" \
			   LatitudeMinToMeters=-5559752.598833 LatitudeMaxToMeters=-4447802.079066 \
			   LongitudeMinToMeters=12231455.717432 LongitudeMaxToMeters=13343406.237198 \
			   MajorAxisTo=6371007.181  RowsTo=86400   RightJustifyTo=1 

send_projection PixelOverlap=No    PlaneTo=0 PlaneFrom=0 \
                XFrom=0 YFrom=0 WidthFrom=2400 HeightFrom=2400 ProjectionFrom="MODIS" \
		LatitudeMinFromMeters=-5559752.598833 LatitudeMaxFromMeters=-4447802.079066 \
		LongitudeMinFromMeters=12231455.717432 LongitudeMaxFromMeters=13343406.237198 \
		MajorAxisFrom=6371007.181  RowsFrom=86400   RightJustifyFrom=1 

send_clear_graph  X=2400 Y=0 Width=2400 Height=2400
send_create_mask  X=2400 Y=0 Width=2400 Height=2400 Color="White" Filter=" 0 <1 <0  0 <2 < 0 0 <3 <0"
send_world_map Coastlines=yes Boundaries=No CoastlineColor=GREEN  BoundaryColor=Magenta

send_draw_page_text X1=1. Y1=1.5 ForegroundColor="RED" BoldFont=Yes TextHeight=.3 Rotation=0.0 Justification="Left" \
                                Text="MODIS to MODIS (Area to Area)" 
send_draw_page_cell X=2400 Y=0 Width=2400 Height=2400 XTo=2 YTo=2 WidthTo=6 HeightTo=6   FitPatch=Yes



#2222========================================================================================================
# TEST MODIS (IntegerizedSinusoidal) Area TO MODIS (IntegerizedSinusoidal) Global
#============================================================================================================

set_projection_to_geometry XTo=4800 YTo=0 WidthTo=2400 HeightTo=2400 ProjectionTo="MODIS" \
                           LatitudeMinTo=-90 LatitudeMaxTo=90 \
                           LongitudeMinTo=-180 LongitudeMaxTo=180 \
                           MajorAxisTo=6371007.181  RowsTo=86400   RightJustifyTo=1

send_projection PixelOverlap=No    PlaneTo=0 PlaneFrom=0 \
                XFrom=0 YFrom=0 WidthFrom=2400 HeightFrom=2400 ProjectionFrom="MODIS" \
                          LatitudeMinFromMeters=-5559752.598833 LatitudeMaxFromMeters=-4447802.079066 \
                  	  LongitudeMinFromMeters=12231455.717432 LongitudeMaxFromMeters=13343406.237198 \
                          MajorAxisFrom=6371007.181  RowsFrom=86400   RightJustifyFrom=1

send_clear_graph  X=4800 Y=0 Width=2400 Height=2400
send_create_mask  X=4800 Y=0 Width=2400 Height=2400 Color="White" Filter=" 0 <1 <0  0 <2 < 0 0 <3 <0"
send_world_map Coastlines=yes Boundaries=No CoastlineColor=GREEN  BoundaryColor=Magenta

send_draw_page_text X1=8. Y1=1.5 ForegroundColor="RED" BoldFont=Yes TextHeight=.3 Rotation=0.0 Justification="Left" \
                                Text="MODIS to MODIS (Global)" 
send_draw_page_cell X=6610 Y=1650 Width=390 Height=260 XTo=8 YTo=2 WidthTo=6 HeightTo=6   FitPatch=Yes



#3333========================================================================================================
# TEST MODIS (IntegerizedSinusoidal) Area TO LINEAR Global
#============================================================================================================

set_projection_to_geometry XTo=7200 YTo=0 WidthTo=2400 HeightTo=2400 ProjectionTo="LINEAR" \
                           LatitudeMinTo=-90 LatitudeMaxTo=0 \
                           LongitudeMinTo=90 LongitudeMaxTo=180

send_projection PixelOverlap=No    PlaneTo=0 PlaneFrom=0 \
                XFrom=0 YFrom=0 WidthFrom=2400 HeightFrom=2400 ProjectionFrom="MODIS" \
                          LatitudeMinFromMeters=-5559752.598833 LatitudeMaxFromMeters=-4447802.079066 \
                          LongitudeMinFromMeters=12231455.717432 LongitudeMaxFromMeters=13343406.237198 \
                          MajorAxisFrom=6371007.181  RowsFrom=86400   RightJustifyFrom=1

send_clear_graph  X=7200 Y=0 Width=2400 Height=2400
send_create_mask  X=7200 Y=0 Width=2400 Height=2400 Color="White" Filter=" 0 <1 <0  0 <2 < 0 0 <3 <0"
send_world_map Coastlines=yes Boundaries=No CoastlineColor=GREEN  BoundaryColor=Magenta

send_draw_page_text X1=14. Y1=1.5 ForegroundColor="RED" BoldFont=Yes TextHeight=.3 Rotation=0.0 Justification="Left" \
                                Text="MODIS to LINEAR (Global)" 
send_draw_page_cell X=7200 Y=0 Width=2400 Height=2400 XTo=14 YTo=2 WidthTo=6 HeightTo=6   FitPatch=Yes



#4444========================================================================================================
# TEST MODIS (IntegerizedSinusoidal) Area TO HAMMER Global
#============================================================================================================

set_projection_to_geometry XTo=0 YTo=2400 WidthTo=2400 HeightTo=2400 ProjectionTo="HAMMER" \
                           LatitudeMinTo=-90 LatitudeMaxTo=0 \
                           LongitudeMinTo=90 LongitudeMaxTo=180

send_projection PixelOverlap=No    PlaneTo=0 PlaneFrom=0 \
                XFrom=0 YFrom=0 WidthFrom=2400 HeightFrom=2400 ProjectionFrom="MODIS" \
                          LatitudeMinFromMeters=-5559752.598833 LatitudeMaxFromMeters=-4447802.079066 \
                          LongitudeMinFromMeters=12231455.717432 LongitudeMaxFromMeters=13343406.237198 \
                          MajorAxisFrom=6371007.181  RowsFrom=86400   RightJustifyFrom=1

send_clear_graph  X=0 Y=2400 Width=2400 Height=2400
send_create_mask  X=0 Y=2400 Width=2400 Height=2400 Color="White" Filter=" 0 <1 <0  0 <2 < 0 0 <3 <0"
send_world_map Coastlines=yes Boundaries=No CoastlineColor=GREEN  BoundaryColor=Magenta

send_draw_page_text X1=1. Y1=8.5 ForegroundColor="RED" BoldFont=Yes TextHeight=.3 Rotation=0.0 Justification="Left" \
                                Text="MODIS to HAMMER (Global)" 
send_draw_page_cell X=1140 Y=3500 Width=1000 Height=1000 XTo=2 YTo=10 WidthTo=6 HeightTo=6   FitPatch=Yes



#5555========================================================================================================
# TEST MODIS (IntegerizedSinusoidal) Area TO POLDER Global
#============================================================================================================

set_projection_to_geometry XTo=2400 YTo=2400 WidthTo=2400 HeightTo=2400 ProjectionTo="POLDER" \
                           LatitudeMinToPOLDER=1 LatitudeMaxToPOLDER=3240 \
                           LongitudeMinToPOLDER=1 LongitudeMaxToPOLDER=6480

send_projection PixelOverlap=No    PlaneTo=0 PlaneFrom=0 \
                XFrom=0 YFrom=0 WidthFrom=2400 HeightFrom=2400 ProjectionFrom="MODIS" \
                          LatitudeMinFromMeters=-5559752.598833 LatitudeMaxFromMeters=-4447802.079066 \
                          LongitudeMinFromMeters=12231455.717432 LongitudeMaxFromMeters=13343406.237198 \
                          MajorAxisFrom=6371007.181  RowsFrom=86400   RightJustifyFrom=1

send_clear_graph  X=2400 Y=2400 Width=2400 Height=2400
send_create_mask  X=2400 Y=2400 Width=2400 Height=2400 Color="White" Filter=" 0 <1 <0  0 <2 < 0 0 <3 <0"
send_world_map Coastlines=yes Boundaries=No CoastlineColor=GREEN  BoundaryColor=Magenta

send_draw_page_text X1=8. Y1=8.5 ForegroundColor="RED" BoldFont=Yes TextHeight=.3 Rotation=0.0 Justification="Left" \
                                Text="MODIS to POLDER (Global)" 
send_draw_page_cell X=3980 Y=3680 Width=800 Height=800 XTo=8 YTo=10 WidthTo=6 HeightTo=6   FitPatch=Yes



#6666========================================================================================================
# TEST POLDER Global TO MODIS global
#============================================================================================================

set_projection_to_geometry XTo=4800 YTo=2400 WidthTo=2400 HeightTo=2400 ProjectionTo="MODIS" \
                           LatitudeMinTo=-90 LatitudeMaxTo=90 \
                           LongitudeMinTo=-180 LongitudeMaxTo=180 \
                           MajorAxisTo=6371007.181  RowsTo=86400   RightJustifyTo=1

send_projection PixelOverlap=No    PlaneTo=0 PlaneFrom=0 \
                XFrom=2400 YFrom=2400 WidthFrom=2400 HeightFrom=2400 ProjectionFrom="POLDER" \
                           LatitudeMinFromPOLDER=1 LatitudeMaxFromPOLDER=3240 \
                           LongitudeMinFromPOLDER=1 LongitudeMaxFromPOLDER=6480

send_clear_graph  X=4800 Y=2400 Width=2400 Height=2400
send_create_mask  X=4800 Y=2400 Width=2400 Height=2400 Color="White" Filter=" 0 <1 <0  0 <2 < 0 0 <3 <0"
send_world_map Coastlines=yes Boundaries=No CoastlineColor=GREEN  BoundaryColor=Magenta

send_draw_page_text X1=14. Y1=8.5 ForegroundColor="RED" BoldFont=Yes TextHeight=.3 Rotation=0.0 Justification="Left" \
                                Text="POLDER to MODIS (Global)" 
send_draw_page_cell X=6450 Y=3670 Width=700 Height=700 XTo=14 YTo=10 WidthTo=6 HeightTo=6   FitPatch=Yes



#7777========================================================================================================
# TEST POLDER Global TO MODIS Small area
#============================================================================================================

set_projection_to_geometry XTo=7200 YTo=2400 WidthTo=2400 HeightTo=2400 ProjectionTo="MODIS" \
			   LatitudeMinToMeters=-5559752.598833 LatitudeMaxToMeters=-4447802.079066 \
			   LongitudeMinToMeters=12231455.717432 LongitudeMaxToMeters=13343406.237198 \
			   MajorAxisTo=6371007.181  RowsTo=86400   RightJustifyTo=1 

send_projection PixelOverlap=No    PlaneTo=0 PlaneFrom=0 \
                XFrom=2400 YFrom=2400 WidthFrom=2400 HeightFrom=2400 ProjectionFrom="POLDER" \
                           LatitudeMinFromPOLDER=1 LatitudeMaxFromPOLDER=3240 \
                           LongitudeMinFromPOLDER=1 LongitudeMaxFromPOLDER=6480

send_clear_graph  X=7200 Y=2400 Width=2400 Height=2400
send_create_mask  X=7200 Y=2400 Width=2400 Height=2400 Color="White" Filter=" 0 <1 <0  0 <2 < 0 0 <3 <0"
send_world_map Coastlines=yes Boundaries=No CoastlineColor=GREEN  BoundaryColor=Magenta

send_draw_page_text X1=1. Y1=17. ForegroundColor="RED" BoldFont=Yes TextHeight=.3 Rotation=0.0 Justification="Left" \
                                Text="POLDER to MODIS (Small area)" 
send_draw_page_cell X=7200 Y=2400 Width=2400 Height=2400 XTo=1 YTo=18 WidthTo=6 HeightTo=6   FitPatch=Yes



#8888========================================================================================================
# TEST POLDER Global TO LINEAR Global
#============================================================================================================

set_projection_to_geometry XTo=0 YTo=4800 WidthTo=2400 HeightTo=2400 ProjectionTo="LINEAR" \
                           LatitudeMinTo=-90 LatitudeMaxTo=90 \
                           LongitudeMinTo=-180 LongitudeMaxTo=180 

send_projection PixelOverlap=No    PlaneTo=0 PlaneFrom=0 \
                XFrom=2400 YFrom=2400 WidthFrom=2400 HeightFrom=2400 ProjectionFrom="POLDER" \
                           LatitudeMinFromPOLDER=1 LatitudeMaxFromPOLDER=3240 \
                           LongitudeMinFromPOLDER=1 LongitudeMaxFromPOLDER=6480

send_clear_graph  X=0 Y=4800 Width=2400 Height=2400
send_create_mask  X=0 Y=4800 Width=2400 Height=2400 Color="White" Filter=" 0 <1 <0  0 <2 < 0 0 <3 <0"
send_world_map Coastlines=yes Boundaries=No CoastlineColor=GREEN  BoundaryColor=Magenta

send_draw_page_text X1=8. Y1=17.0 ForegroundColor="RED" BoldFont=Yes TextHeight=.3 Rotation=0.0 Justification="Left" \
                                Text="POLDER to LINEAR (Global)" 
send_draw_page_cell X=1900 Y=6070 Width=800 Height=800 XTo=8 YTo=18 WidthTo=6 HeightTo=6   FitPatch=Yes



#9999========================================================================================================
# TEST POLDER Global TO POLDER Area
#============================================================================================================

set_projection_to_geometry XTo=2400 YTo=4800 WidthTo=2400 HeightTo=2400 ProjectionTo="POLDER" \
                           LatitudeMinToPOLDER=1620 LatitudeMaxToPOLDER=3240 \
                           LongitudeMinToPOLDER=3240 LongitudeMaxToPOLDER=6480 

send_projection PixelOverlap=No    PlaneTo=0 PlaneFrom=0 \
                XFrom=2400 YFrom=2400 WidthFrom=2400 HeightFrom=2400 ProjectionFrom="POLDER" \
                           LatitudeMinFromPOLDER=1 LatitudeMaxFromPOLDER=3240 \
                           LongitudeMinFromPOLDER=1 LongitudeMaxFromPOLDER=6480

send_clear_graph  X=2400 Y=4800 Width=2400 Height=2400
send_create_mask  X=2400 Y=4800 Width=2400 Height=2400 Color="White" Filter=" 0 <1 <0  0 <2 < 0 0 <3 <0"
send_world_map Coastlines=yes Boundaries=No CoastlineColor=GREEN  BoundaryColor=Magenta

send_draw_page_text X1=14. Y1=17.0 ForegroundColor="RED" BoldFont=Yes TextHeight=.3 Rotation=0.0 Justification="Left" \
                                Text="POLDER to POLDER (Area)" 
send_draw_page_cell X=3540 Y=5440 Width=850 Height=850 XTo=14 YTo=18 WidthTo=6 HeightTo=6   FitPatch=Yes





send_to_PS_File  File="./MODISprint.ps" Type=Color PaperFormat="A4" Resolution=100 Copies=1 \
					Orientation=Portrait RGBEncoding=Yes

send_unset_verbose
