# CREATE A ORTHOGRAPHIC IMAGE FROM A LINEAR IMAGE FILE WITH GRIDS AND WORLD MAP
#		AND CREATE A  MGRAPH PS FILE
#============================================================================
verbose

send_set_verbose

set_project ProjectName="TESTCOM" DataPlanesOnDisk=Yes

set_workpace_geometry PlaneWidth=1000 PlaneHeight=1000  DataType=0 CellWidth=1000 CellHeight=500

send_destroy_all_data

send_read_other  Plane=1 X=0 Y=0 Width=0 Height=0 Expand=No    \
            FileName="../IMAGES/LINEAR_MAYFEB256.tif"

send_clear_area Plane=2 X=0 Y=0 Width=512 Height=512

send_show_view ViewPlane=2
send_copy_lut  PlaneFrom=1 PlaneTo=2

set_projection_to_geometry XTo=0 YTo=0 WidthTo=512 HeightTo=512 ProjectionTo="ORTHOGRAPHIC"\
			   LatitudeMinTo=-40.0 LatitudeMaxTo=70.0 \
			   LongitudeMinTo=60.00 LongitudeMaxTo=120.00  \
			   CenterLongitudeTo=90 CenterLatitudeTo=30

send_projection PixelOverlap=No    PlaneTo=2 PlaneFrom=1 \
                XFrom=0 YFrom=0 WidthFrom=1000 HeightFrom=500 ProjectionFrom="LINEAR" \
                LatitudeMinFrom=-90.0000 LatitudeMaxFrom=90.0000 \
                LongitudeMinFrom=-180.0000 LongitudeMaxFrom=180.0000 

send_plot_contour_background_image ViewPlane=2 X=0 Y=0 Width=512 Height=512 \
                        ToXmin=60 ToXmax=120 ToYmin=-40 ToYmax=70 \
                        Undef=8421  NearestPixelInterpolation=Yes \
                        MgraphPlotMode="NewCurve"

send_grids LatitudeMin=-90.0000 LatitudeMax=90.00 LatitudeStep=5.0 \
                    LongitudeMin=-180.00 LongitudeMax=180.00 LongitudeStep=5.0 \
                    Color="Red" SendToMgraph=Yes

send_world_map Coastlines=yes Boundaries=No CoastlineColor=GREEN  BoundaryColor=Magenta SendToMgraph=Yes

send_Mgraph
<<  
####################################################################
PlotTitle     Title="Orthographic reprojection (6x6 Km)" Height=1.00
Grid          Frame=Yes   Xgrid=No       Ygrid=No  [Yes | Light | No]
ScaleToFrame
LineStyle     Curve=1   Style=Solid           Color=Blue         Thickness=3
MarkStyle     Curve=1   Style=NoMark          Size=3
LineStyle     Curve=2   Style=Solid           Color=Blue         Thickness=3
MarkStyle     Curve=2   Style=NoMark          Size=3
LineStyle     Curve=3   Style=Solid           Color=Green        Thickness=3
MarkStyle     Curve=3   Style=NoMark          Size=3

SurfaceGeometry Xmin=60 Xmax=120 Ymin=-40 Ymax=70  DistanceFactor=1 XYRatio=1 \
	NearestPixelInterpolation=Yes

SurfaceStretch          Zmin=0 Zmax=255 FirstLevel=0 LastLevel=255
AddObject        Surface      [Region Surface Dots Triangles]
ColorScale      Mode=Linear [|Boxes]    XStart=300% YStart=300% XEnd=301% YEnd=301% Min=0 Max=1

XTitle        Title="" Height=1.00
XAxis Show=No     Scale=Linear    Min=-1    Max=-1  Delta=30  Color=Black  Thickness=1
XLabel        LabelStep=-1   Reference=-1   LabelHeight=1.00   CFormat="%.0f"  Angle=0.0
YTitle        Title=" " Height=1.00
YAxis Show=No     Scale=Linear    Min=-1    Max=-1    Delta=30  Color=Black  Thickness=1
YLabel        LabelStep=-1    Reference=-1   LabelHeight=1.00   CFormat="%.0f"  Angle=0.0

DrawCell     XStart=2.0000   YStart=8.0   Width=17.00   Height=17.00\
        Type=Color   Orientation=Portrait  Mode=Margin[|ScaleToFrame]

SendToPSFile   File="./PROJ_MGRAPH.ps"  Type=Color    [Copies=1]   Orientation=Portrait
#SendToPrinter  Command="/usr/LOA/bin/vidpsINF"  Type=Color   [Copies=1]   Orientation=Portrait
>>

send_unset_verbose
