# CREATE A mosaic from geotiff files build by HDFLook
#======================================================
verbose

send_set_verbose

set_project ProjectName="GEOTIFF" DataPlanesOnDisk=Yes

set_workpace_geometry PlaneWidth=2048 PlaneHeight=2048  DataType=UCHAR  CellWidth=1024 CellHeight=1024

send_destroy_all_data
send_show_view ViewPlane=0

set_projection_to_geometry XTo=0 YTo=1024 WidthTo=1600 HeightTo=1024 ProjectionTo="SINUSOIDAL"\
                           LatitudeMinTo=-50.0000 LatitudeMaxTo=50.0000 \
                           LongitudeMinTo=-110.0000 LongitudeMaxTo=50.0000

send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No FileName="GEOTIFF_LAMBERT.tif"
send_projection PixelOverlap=Yes    PlaneTo=0 PlaneFrom=0 
send_read_other  Plane=0 X=0 Y=0 Width=0 Height=0 Expand=No FileName="GEOTIFF_LINEAR.tif"
send_projection PixelOverlap=Yes    PlaneTo=0 PlaneFrom=0 

send_grids LatitudeMin=-90.0000 LatitudeMax=90.0000 LatitudeStep=5.0000 \
                    LongitudeMin=-180.0000 LongitudeMax=180.0000 LongitudeStep=10.0000 \
                    Color="RED"

send_world_map Color="GREEN"

send_create_file ViewPlane=0 X=0 Y=0 Width=0 Height=0 FileFormat="GEOTIFF" Geometry=TO FileName="MspGeoTiffRW2.tif"

